Bug 1149173 - Review Request: compass-icon-theme - A Nice Clean Icon Theme For GNOME
Summary: Review Request: compass-icon-theme - A Nice Clean Icon Theme For GNOME
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
unspecified
medium
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-10-03 12:02 UTC by James Smith
Modified: 2015-07-21 12:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-19 12:12:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora-review-


Attachments (Terms of Use)

Description James Smith 2014-10-03 12:02:55 UTC
Spec URL: <http://smittix.co.uk/repo/compass-icon-theme.spec>
SRPM URL: <http://smittix.co.uk/repo/compass-icon-theme-1.3.0-1.fc20.src.rpm>
Description: <This is an icon theme designed to be clean, attractive and easy on the eye.>
Fedora Account System Username:smittix

Comment 1 Volker Fröhlich 2014-10-03 13:02:50 UTC
The angled brackets from the template are only meant as placeholders.

* Please add the release number to the changelog entry: 1.3.0-1
* Use the version macro on Source

Comment 2 James Smith 2014-10-03 13:59:25 UTC
Hi Volker,

Sorry about the brackets.

* Added full release number to changelog.
* Version macro has now been used on source line.

Comment 3 Mat Booth 2014-11-06 16:30:19 UTC
I will take this review. I will sponsor you too, James.

While I review this package, it would be great if you could do a couple of informal package reviews yourself on a couple of other waiting review requests.

This will demonstrate to your sponsor (me) that you understand the guidelines and serves as good practice for the future because once you are sponsored into the packagers group, you will be able to review and approve new packages yourself. Does that make sense?

Please post here the review requests you choose to look at. Here is a list to choose from: http://fedoraproject.org/PackageReviewStatus/NEW.html

Comment 4 Mat Booth 2014-11-19 12:12:22 UTC
I was just doing the review for this package and it appears to be licensed under the following Creative Commons license:

"Attribution-NonCommercial-NoDerivatives 4.0 International (CC BY-NC-ND 4.0)"

Non-Commercial variants of Creative Commons licenses are forbidden in Fedora, according to the content licensing section of the guidelines. [1]

This package cannot be accepted in Fedora unless the content authors are willing to re-license it without the commercial-use restriction.

This this package may instead be better suited for inclusion in a certain third-party repo. [2]

[1] https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses
[2] http://rpmfusion.org/

Sorry dude :-(

Comment 5 Mat Booth 2014-11-19 12:30:03 UTC
I didn't get all the way through the review, but FWIW, the first few fixes I would have asked for are as follows:

* A few SVG files have executable permissions. Please fix this, all data files should be installed with 0644 permissions.
* You have installed some hidden files with name ".directory" that are probably not necessary. Do not install these if possible.
* The Source0 URL is not valid. Please fix this or add a comment that explains how you generated the source tarball.


Note You need to log in before you can comment on or make changes to this bug.